PROUTES3(1)

NAME
proutes3 - Python 3 Pyramid command

SYNOPSIS
proutes3 config_uri

DESCRIPTION
Print all URL dispatch routes used by a Pyramid application in the order in which they are evaluated. Each route includes the name of the route, the pattern of the route, and the view callable which will be invoked when the route is matched. This command accepts one positional argument named 'config_uri'. It specifies the PasteDeploy config file to use for the interactive shell. The format is 'inifile#name'. If the name is left off, 'main' will be assumed. Example: 'proutes myapp.ini'.

OPTIONS

-h, --help
    show this help message and exit

-g GLOB, --glob=GLOB
    Display routes matching glob pattern

-f FORMAT, --format=FORMAT
    Choose which columns to display, this will override the format key in the [proutes] ini section